petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreatePLYFromFile

Create a DMPlex mesh from a PLY file.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreatePLYFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

| comm | - The MPI communicator
| filename | - Name of the .med file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

Note: https://en.wikipedia.org/wiki/PLY_(file_format)

### See Also

DMPlexCreateFromFile(), DMPlexCreateMedFromFile(), DMPlexCreateGmsh(), DMPlexCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexply.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages